Page MenuHomePhabricator

Class 'Parsoid\Language\LanguageKk' not found
Closed, ResolvedPublic

Description

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2019.12.05/parsoid-php?id=AW7W19mbh3Uj6x1zFI_o&_g=h@44136fa

#0 /srv/deployment/parsoid/deploy-cache/revs/0910e18d8477587cf44c17a2d500e0f73836c0a6/src/src/Language/LanguageConverter.php(223): Parsoid\Language\LanguageConverter::loadLanguage(Parsoid\Config\Env, string)
#1 /srv/deployment/parsoid/deploy-cache/revs/0910e18d8477587cf44c17a2d500e0f73836c0a6/src/src/Language/LanguageConverter.php(198): Parsoid\Language\LanguageConverter::baseToVariant(Parsoid\Config\Env, DOMElement, string, NULL)
#2 /srv/deployment/parsoid/deploy-cache/revs/0910e18d8477587cf44c17a2d500e0f73836c0a6/src/src/Parsoid.php(242): Parsoid\Language\LanguageConverter::maybeConvert(Parsoid\Config\Env, DOMDocument, string, NULL)
#3 /srv/deployment/parsoid/deploy-cache/revs/0910e18d8477587cf44c17a2d500e0f73836c0a6/src/extension/src/Rest/Handler/ParsoidHandler.php(1022): Parsoid\Parsoid->html2html(MWParsoid\Config\PageConfig, string, string, array, NULL)
#4 /srv/deployment/parsoid/deploy-cache/revs/0910e18d8477587cf44c17a2d500e0f73836c0a6/src/extension/src/Rest/Handler/ParsoidHandler.php(903): MWParsoid\Rest\Handler\ParsoidHandler->languageConversion(Parsoid\Config\Env, array, array)
#5 /srv/deployment/parsoid/deploy-cache/revs/0910e18d8477587cf44c17a2d500e0f73836c0a6/src/extension/src/Rest/Handler/TransformHandler.php(106): MWParsoid\Rest\Handler\ParsoidHandler->pb2pb(Parsoid\Config\Env, array)
#6 /srv/mediawiki/php-1.35.0-wmf.5/includes/Rest/Router.php(315): MWParsoid\Rest\Handler\TransformHandler->execute()
#7 /srv/mediawiki/php-1.35.0-wmf.5/includes/Rest/Router.php(285): MediaWiki\Rest\Router->executeHandler(MWParsoid\Rest\Handler\TransformHandler)
#8 /srv/mediawiki/php-1.35.0-wmf.5/includes/Rest/EntryPoint.php(113): MediaWiki\Rest\Router->execute(MediaWiki\Rest\RequestFromGlobals)
#9 /srv/mediawiki/php-1.35.0-wmf.5/includes/Rest/EntryPoint.php(80): MediaWiki\Rest\EntryPoint->execute()
#10 /srv/mediawiki/php-1.35.0-wmf.5/rest.php(31): MediaWiki\Rest\EntryPoint::main()
#11 /srv/mediawiki/w/rest.php(3): require(string)
#12 {main}

Event Timeline

Arlolra created this task.Dec 5 2019, 4:32 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 5 2019, 4:32 PM
ssastry added a subscriber: ssastry.EditedDec 6 2019, 7:15 PM

There are other similar errors in logstash Class 'Parsoid\Language\LanguageUz' for a uzwiki page.

Change 557115 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/services/parsoid@master] Fix fatal error loading unknown language

https://gerrit.wikimedia.org/r/557115

Change 557115 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Fix fatal error loading unknown language

https://gerrit.wikimedia.org/r/557115

Arlolra closed this task as Resolved.Dec 16 2019, 8:22 PM